/*
 * $Id: system.h,v 1.1.1.1 2002/09/23 13:50:35 halite Exp $
 */

#ifndef _I386_SYSTEM_H_
#define _I386_SYSTEM_H_

#ifdef __KERNEL__
#endif /* __KERNEL__ */

/* interrupt control.. */
#define __save_flags(x)		__asm__ __volatile__("pushfl ; popl %0":"=g" (x): /* no input */)
#define __restore_flags(x) 	__asm__ __volatile__("pushl %0 ; popfl": /* no output */ :"g" (x):"memory", "cc")
#define __cli() 		__asm__ __volatile__("cli": : :"memory")
#define __sti()			__asm__ __volatile__("sti": : :"memory")

#define cli() __cli()
#define sti() __sti()
#define save_flags(x) __save_flags(x)
#define restore_flags(x) __restore_flags(x)

#endif
