/*
 * $Id: timer.c,v 1.1.1.1 2002/09/23 13:50:35 halite Exp $
 */

#include <toykernel/kernel.h>
#include <toykernel/timex.h>
#include <arch/param.h>

long tick = (1000000 + HZ/2) / HZ;      /* timer interrupt period */
int time_status = STA_UNSYNC;

unsigned long volatile jiffies = 0;

void do_timer(int flag)
{
	(*(unsigned long *)&jiffies)++;

	printk("jiffies=%ld\n", jiffies);
}

