/*
 * $Id: panic.c,v 1.1.1.1 2002/09/23 13:50:35 halite Exp $
 */

#include <toykernel/kernel.h>

NORET_TYPE void panic(const char *fmt, ...)
{
	static char buf[1024];
	va_list args;

	va_start(args, fmt);
	vsprintf(buf, fmt, args);
	va_end(args);
	printk("Kernel panic: %s\n", buf);
	/* halite must
	 * sys_sync() ҷ */
	for (;;);
}

